Логотип сайта поддержки пользователей САПРО сайте поддержки пользователей САПР Translate to:

Функция, возвращающая длину периметра выбранного объекта

Назад к списку функций
;;; возвращает длину периметра выбранного объекта
;;; Тестирована на AutoCAD 2000
(defun c:lenghtOfObject (/ en curve len)
  (if (setq en (entsel))
    (progn
      (setq curve (vlax-ename->vla-object (car en)))
      (if (vl-catch-all-error-p
            (setq len (vl-catch-all-apply
                        'vlax-curve-getDistAtParam
                        (list curve
                              (vl-catch-all-apply
                                'vlax-curve-getEndParam
                                (list curve)
                              )
                        )
                      )
            )
          )
        nil
        len
      )
    )
  )
)



Copyright © Сайт поддержки пользователей САПР by Victor Tkachenko